Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Handle_Set_Iterator Class Reference

Iterator for the <ACE_Handle_Set> abstraction. More...

`#include <Handle_Set.h>`

Collaboration diagram for ACE_Handle_Set_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Handle_Set_Iterator (const ACE_Handle_Set &hs)
| Constructor. More...
| ~ACE_Handle_Set_Iterator (void)
| Default dtor. More...
void | reset_state (void)
| Reset the state of the iterator by reinitializing the state that we maintain. More...
ACE_HANDLE | operator() (void)
void | operator++ (void)
| This is a no-op and no longer does anything. It's only here for backwards compatibility. More...
void | dump (void) const
| Dump the state of an object. More...
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
const ACE_Handle_Set & | handles_
| The <Handle_Set> we are iterating through. More...
u_int | handle_index_
int | word_num_
| Number of the word we're iterating over (typically between 0..7). More...

## Detailed Description

Iterator for the <ACE_Handle_Set> abstraction.

## Constructor & Destructor Documentation

ACE_Handle_Set_Iterator::ACE_Handle_Set_Iterator | ( | const ACE_Handle_Set & | hs | ) |

| Constructor.

ACE_INLINE ACE_Handle_Set_Iterator::~ACE_Handle_Set_Iterator | ( | void |  | ) |

| Default dtor.

## Member Function Documentation

void ACE_Handle_Set_Iterator::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_HANDLE ACE_Handle_Set_Iterator::operator() | ( | void |  | ) |

| "Next" operator. Returns the next unseen <ACE_HANDLE> in the <Handle_Set> up to <handle_set_.max_handle_>). When all the handles have been seen returns <ACE_INVALID_HANDLE>. Advances the iterator automatically, so you need not call <operator++> (which is now obsolete).

void ACE_Handle_Set_Iterator::operator++ | ( | void |  | ) |

| This is a no-op and no longer does anything. It's only here for backwards compatibility.

void ACE_Handle_Set_Iterator::reset_state | ( | void |  | ) |

| Reset the state of the iterator by reinitializing the state that we maintain.

## Member Data Documentation

ACE_Handle_Set_Iterator::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

u_int ACE_Handle_Set_Iterator::handle_index_`[private]`

const ACE_Handle_Set& ACE_Handle_Set_Iterator::handles_`[private]`

| The <Handle_Set> we are iterating through.

int ACE_Handle_Set_Iterator::word_num_`[private]`

| Number of the word we're iterating over (typically between 0..7).

The documentation for this class was generated from the following files:

- Handle_Set.h
- Handle_Set.cpp
- Handle_Set.i